package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 一体机安全检查通知消息对象 lab_check_machine_msg
 *
 * @author liubo
 * @date 2022-01-04
 */
@ApiModel("一体机安全检查通知消息")
public class LabCheckMachineMsg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 安全检查ID
     */
    @Excel(name = "安全检查ID")
    @ApiModelProperty(value = "安全检查ID")
    private Long checkRecordId;
    /**
     * 通知消息
     */
    @Excel(name = "通知消息")
    @ApiModelProperty(value = "通知消息")
    private String checkMsg;
    /**
     * 通知类型 1 一般整改，2 重大整改
     */
    @ApiModelProperty(value = "通知类型 1 一般整改，2 重大整改")
    private Integer type;
    /**
     * 消息状态 1 有效，2 过期
     */
    private Integer status;

    private Long subId;

    @ApiModelProperty(value = "通知消息")
    private String notifyMsg;

    @ApiModelProperty(value = "检查日期")
    private String checkDateStr;

    private LabCheckRecord checkRecord;

    private List<LabCheckRecordDetails> details;
    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCheckRecordId(Long checkRecordId) {
        this.checkRecordId = checkRecordId;
    }

    public Long getCheckRecordId() {
        return checkRecordId;
    }

    public void setCheckMsg(String checkMsg) {
        this.checkMsg = checkMsg;
    }

    public String getCheckMsg() {
        return checkMsg;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public List<LabCheckRecordDetails> getDetails() {
        return details;
    }

    public void setDetails(List<LabCheckRecordDetails> details) {
        this.details = details;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public LabCheckRecord getCheckRecord() {
        return checkRecord;
    }

    public void setCheckRecord(LabCheckRecord checkRecord) {
        this.checkRecord = checkRecord;
    }

    public String getNotifyMsg() {
        return notifyMsg;
    }

    public void setNotifyMsg(String notifyMsg) {
        this.notifyMsg = notifyMsg;
    }

    public String getCheckDateStr() {
        return checkDateStr;
    }

    public void setCheckDateStr(String checkDateStr) {
        this.checkDateStr = checkDateStr;
    }
}
